
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用nodejs开发cli项目实例_node.js / iVAN</title>

    <meta name="description" content="使用nodejs开发cli项目实例_node.js 1.分分钟使用默认选项安装完nodejs 2.分分钟使用sudo npm install -g yo安装完yeoman 3.通过sudo npm install -g generator-cli-starter安装cli开发脚手架 OK, 现在我们可以使用yo cli-starter命令开始我们cli开发之旅了 创建cli项目 复制代码 代码如下: yo cli-starter 按照提示输入项目名称.命令名称,完成cli项目创建.后续的教程中我们将使用hi作为你的命令名称,如果你使用了其他命令名">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用nodejs开发cli项目实例_node.js</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1.分分钟使用默认选项安装完nodejs<br />
2.分分钟使用sudo npm install -g yo安装完yeoman<br />
3.通过sudo npm install -g generator-cli-starter安装cli开发脚手架</p>
<p>OK, 现在我们可以使用yo cli-starter命令开始我们cli开发之旅了</p>
<p><strong>创建cli项目</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>yo cli-starter</p>
<p>按照提示输入项目名称、命令名称，完成cli项目创建。后续的教程中我们将使用hi作为你的命令名称，如果你使用了其他命令名称，请注意替换<br />
<br /><strong>Let's try first</strong></p>
<p>现在命令行中输入如下命令(如果你用的不是hi，注意替换)</p>
<p><u>复制代码</u> 代码如下:</p>
<p>hi</p>
<p>效果如下：<br />
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1NjM5MDM0NTYwMS5wbmc=.jpg"></p>
<p><strong>试个常见命令？</strong></p>
<p>我们接下来就开发一个类似ls, ls -all的命令，这里面需要用到一个node模块commander，先来安装一下：</p>
<p>进入该项目根目录执行npm install --save commander，</p>
<p>然后用你喜欢的editor打开bin/hi.js，并用以下内容替换原先的代码：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>#!/usr/bin/env node<br />
<br />'use strict';</p>
<p>var program = require('commander');</p>
<p>program<br />
    .version('0.0.1');//声明hi的版本号</p>
<p>program<br />
    .command('list')//声明hi下有一个命令叫list<br />
    .description('list files in current working directory')//给出list这个命令的描述<br />
    .option('-a, --all', 'Whether to display hidden files')//设置list这个命令的参数<br />
    .action(function(options) {//list命令的实现体<br />
        var fs = require('fs');<br />
        //获取当前运行目录下的文件信息<br />
        fs.readdir(process.cwd(), function(err, files) {<br />
            var list = files;<br />
            if (!options.all) {//检查用户是否给了--all或者-a的参数，如果没有，则过滤掉那些以.开头的文件<br />
                list = files.filter(function(file) {<br />
                    return file.indexOf('.') !== 0;<br />
                });<br />
            }<br />
            console.log(list.join(' '));//控制台将所有文件名打印出来<br />
        });<br />
    });</p>
<p>program.parse(process.argv);//开始解析用户输入的命令</p>
<p>OK，现在来试试我们刚写好的命令吧，</p>
<p><u>复制代码</u> 代码如下:</p>
<p>hi -V</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1NjM5MDQxNTQ2NC5wbmc=.jpg"></p>
<p>hi list</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1NjM5MDQ0NTAyNC5wbmc=.jpg"></p>
<p><u>复制代码</u> 代码如下:</p>
<p>hi list -a</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE1NjM5MDUwMzI4Mi5wbmc=.jpg"></p>
<p><strong>如何发布</strong></p>
<p>首先需要在Github上创建一个项目，并把我们刚才写的代码同步上去。</p>
<p>然后通过npm publish命令将你的cli发布到npm。</p>
<p>然后其他用户就可以通过npm install -g [项目名称]将你的命令安装到本地使用了</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 06:49:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/nodejs/" title="nodejs">nodejs</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91/" title="开发">开发</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b9%e7%9b%ae/" title="项目">项目</a>, <a href="https://www.iamivan.net/tag/cli/" title="CLI">CLI</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用nodejs开发cli项目实例_node.js的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kKmAz.html" rel="bookmark">使用nodejs开发cli项目实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了使用nodejs开发cli项目实例,本文讲解使用generator-cli-starter实现cli项目的开发,需要的朋友可以参考下 1.分分钟使用默认选项安装完nodejs 2.分分钟使用sudo npm install -g yo安装完yeoman 3.通过sudo npm install -g generator-cli-starter安装cli开发脚手架 OK, 现在我们可以使用yo cli-starter命令开始我们cli开发之旅了 创建cli项目 代码如下: y			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NDarp.html" rel="bookmark">nodejs开发微博实例&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前一直执着于前端开发,最近几天,开始学起了nodejs.作为一名前端开发者,见到这样一门用javascript写的后台自然是很激动的.但是,后台毕竟不同于前端,在学习的过程中,还是会遇到不少问题. 为了开始学习nodejs,一开始选择了&lt;深入浅出nodejs&gt;这本书,看了几章之后,得出一个结论是:真是一本好书,但是还是不会写nodejs!然后选择了另外一本教材&lt;nodejs开发指南&gt;,由于看过了&lt;深入浅出nodejs&gt;,直接跳过了这本书的前几章,写起了该书第五章的微博			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLdEDM.html" rel="bookmark">nodejs教程之入门&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 再不学nodeJs,我们就老了......在HTML5大浪袭来的时候,很多先辈就开始了NodeJs之旅,而那时我还在做服务器端的程序 后来转成前端,和梯队的距离已经很大了,因为我会服务器端语言,还干了很久,所以至今才开始学习NodeJs,向完整的前端前进 这次学习NodeJs的计划是: ① 1-2周学习基础知识 ② 1周左右开发一个简单项目 ③ 利用NodeJs开发一套用于移动端调试的工具 ④ 打包相关(这个可能比较远了) NodeJs特点 ① 异步 从文件读取到网络请求,NodeJs皆以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baaZPJb.html" rel="bookmark">node&period;js适合游戏后台开发吗？&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网站服务器和游戏服务器是怎么样联系到一起的? 1. 游戏分很多种,咱们先来看看MMORPG. 再怎么简单的RPG服务器都免不了处理多人交互的情形,上百人在同一个场景里面,每个客户端都需要收到其他所有人的操作信息. 其次,用户的操作是非常频繁的,一般的服务器倾向于持有长连接.而且这些链接的是频繁交互的,没有明显的持久的分区策略,所以限制了服务器的横向扩展,同一个场景往往只能放在一个物理机上面运行. 再次,端游通常是不敢把逻辑运算放客户端的,用户分分钟给你破解掉,改改金币,刷两件装备再常见不过了.所			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZmAwwp.html" rel="bookmark">NodeJs的优势和适合开发的程序&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多同学可能都听说过nodejs,并且知道他是可以运行在服务器上的javascript,但是他的使用场景可能大家并不是很清楚,最近也在看学习nodejs,就做了一下小总结: NodeJs的优势: 现在的很多的服务器端的语言(PHP,JAVA,ASP.net),有什么问题呢,现在的服务器端的语言在用户访问服务器时,为每个用户链接创建了一个线程,但每个线程大约要耗费2M的内存,如果一个8G内存的服务器,也就能链接4000个左右的用户,如果用户的链接数较大,就必须增加服务器的数量,而且现在用户的链接方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOqGvb.html" rel="bookmark">nodejs初步体验篇&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:写这篇文章的由来: 1.前段时间单位有新项目启动,服务端要做的工作不多也不算麻烦,就是处理一些中间层的服务,而且我们团队里面个个都会JavaScript,领导就决定试试服务器端的JavaScript,结果本人有幸被派去研究了几天Node,怀着鸡冻的心情开始了node.js的篇章,这篇文章也就是为这几天研究的总结. 2.一个JavaScript工程师如果没听过node.js那么我想你是不是错过了什么,每个优秀的前端工程师都有必要去了解后台处理流程,那么如果又能从JavaScript出发,岂不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmDRRp.html" rel="bookmark">Ubuntu 16&period;04 64位中搭建Node&period;js开发环境教程&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 首先说下本文的系统环境是:Ubuntu 16.04 64位,本文内容亲测可用, 大家可以请放心借鉴参考,下面来一起看看详细的步骤. 使用淘宝镜像 淘宝镜像官网是https://npm.taobao.org/ 使用淘宝镜像前请自行安装好 npm 和 node node 和 npm 的安装 node可以在这里下载 本文使用的是官方推荐v4.4.4长期支持版 下载并解压 node-v4.4.4-Linux-x64.tar.xz tar -xJf node-v4.4.4-linux-x64.tar			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3YGD3p.html" rel="bookmark">解析NodeJs的调试方法&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于调试 当我们只专注于前端的时候,我们习惯性F12,这会给我们带来安全与舒心的感觉. 但是当我们使用NodeJs来开发后台的时候,我想噩梦来了. 但是也别泰国担心,NodeJs的调试是很不方便!这是肯定的. 但是还好,我们有## node-inspector ##来帮助我们解决一部分的调试问题,但是对于异步能力很强的NodeJs它还是有点力不从心. node-inspector 安装node-inspector 依旧是通过npm来全局安装node-inspector npm install -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVBl3z.html" rel="bookmark">iPhone手机上搭建nodejs服务器步骤方法&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.为在ios上面运行,编译jxcore 复制代码 代码如下: $ mkdir ~/jxcore  $ cd ~/jxcore  $ git clone https://github.com/jxcore/jxcore.git  复制代码 代码如下: $ cd ~/jxcore/jxcore  $ ./build_scripts/ios-compile.sh  如果出现import which的module not found问题, 那就通过下面语句安装python的which 复制代码 代码如			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDwd0p.html" rel="bookmark" class="title">基于设计选择媒体查询不是基于移动设备</a>
					<div>
						文章简介:基于设计的媒体查询. 在刚一开始的时候,我们已经把特定移动设备的媒体查询运用到我们的网站上,并且服务于我们(网站),因为当时我们只是需要一种应急式的响应式设计解决方案来适应iPhone和屏幕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxr0Rz.html" rel="bookmark" class="title">&amp;amp&semi;&num;106avascript Web页面内容导出到Word、Excel</a>
					<div>
						excel|web|word|页面 &lt;HTML&gt;  &lt;HEAD&gt;    &lt;title&gt;WEB页面导出为Excel文档的方法    &lt;/title&gt;  & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ1d4p.html" rel="bookmark" class="title">用VBA代码下载网络上的文件</a>
					<div>
						前几天与MVP老K一起讨论如何从网络中下载一个文件到本机,现将代码帖上来与大家分享.另外我看到张志前段时间需要这个代码,不知道现在仍需要.代码适用于VBA,VB,VBS. Dim H, SSet H  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk8P5z.html" rel="bookmark" class="title">优化你的ASP程序</a>
					<div>
						程序|优化 如果你是一位ASP爱好者,你一定想过ASP的执行效率如何?大家都知道ASP效率和CGI的比,在访问量少的时候,它们是不相上下的,有时可能CGI还会好点(我觉得这主要和NT系统运行效率有关) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrOexp.html" rel="bookmark" class="title">分页控件源代码－－组合控件</a>
					<div>
						分页|控件|源代码 using System;using System.IO;using System.Drawing;using System.Data;using System.Data.SqlC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3v9Jz.html" rel="bookmark" class="title">机械设备网实战相关内容外链 提升网站权重</a>
					<div>
						做网站最重要的就是内容和外链,作为一个机械方面的行业网站来说,外链建设同样重要.外链讲究质量与广泛,好的外链是什么,高权重的外链,相关性高的外链,我想做好这两点,网站排名应该不是问题了.今天就分享下自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrg2Pp.html" rel="bookmark" class="title">SQL Server2005数据类型最大值</a>
					<div>
						事情开始得很简单.MegaWare公司市场部门想要一个新的网站来发布文档,开发团队觉得使用SQL Server 2000数据库作为文档存储仓库会使事情变得简单.Steve是MegaWare的数据库管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOeo5b.html" rel="bookmark" class="title">排除网络连接故障的方法</a>
					<div>
						搭建一个网络是相对比较轻松的事情,但是要想管理好网络却是一件比较繁琐的工作.且不说用户给你提出的各种要求会让你忙个不停,单单网络不通这一故障解决起来就够麻烦的,因为导致网络不通的原因实在太多,只要我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKV31p.html" rel="bookmark" class="title">WinRAR如何快捷提取Rar文件注释信息</a>
					<div>
						  WinRar制作压缩文件时,可以在其中包含注释信息.当从网上下载Rar压缩文件后,当进行解压操作,或者运行其中包含的文件时,最好能留心一下其中的注释信息,可能在注释信息里包含有诸如注册码.使用方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6Eq6b.html" rel="bookmark" class="title">Word文档添加个性印章的制作方法步骤</a>
					<div>
						  经常使用Word文档来编辑一些公司的文件,为了防止泄密,可以在文档上添加个性印章.那么在Word文档上,如何添加个性印章?下面我们以制作&quot;黄氏科技股份公司合同专用章&quot;为例,说明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGJw6p.html" rel="bookmark" class="title">win7系统如何禁止自动安装驱动</a>
					<div>
						  在win7系统中,你是否也有过这样的经历,当用手机或优盘连接电脑时,系统会自动搜索和安装驱动程序,这样看起来很方便,但是如果系统找到的是不兼容的那就很不方便了,需要通过各种操作才能把不兼容的驱动删 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oyggb.html" rel="bookmark" class="title">Win7如何快速清除顽固文件</a>
					<div>
						  第一步.桌面空白处,我们新建一个文本文档,并将下面的代码复制进去,并保存. DEL /F /A /Q ?%1 RD /S /Q ?%1 第二步.将新建文本文档,将后缀名修改为 XX.bat .当然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7lyxM.html" rel="bookmark" class="title">Windows无线服务怎么打开</a>
					<div>
						  很多朋友电脑无法连接无线网络或者连接不上Wifi,显示连接不可用等等,这些情况多数是由于Windows无线服务没有正常运行导致的,解决办法也很简单,只要启动windows无线服务就可以了.下面,本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YLjgM.html" rel="bookmark" class="title">c&plus;&plus;-如何在多个条件下使用if语句 C&plus;&plus;</a>
					<div>
						问题描述 如何在多个条件下使用if语句 C++ 有三种情况,当x&gt;yx&lt;yx=y这三种情况使用if要怎么使用,两种情况会用,但三种就不会了,求大神指教 解决方案 if(x&gt;y) {  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWZEvp.html" rel="bookmark" class="title">问：java工程中如何调用J2ME里的包</a>
					<div>
						问题描述 现做了个java项目,里面需要用到J2ME里面的包,如何把J2ME里面的包加到java工程中 解决方案 解决方案二:跟导入外界包一样的,在windows--&gt;...里面的!不过提醒你的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6WAlz.html" rel="bookmark" class="title">windows-java 文件路径的选择与现实问题</a>
					<div>
						问题描述 java 文件路径的选择与现实问题 在java中如何实现类似于windows资源管理器的在地址栏有一个箭头,点击就会出现文件的物理路径,然后在下方的面板上面显示具体内容.就是实现JFileC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqKQjz.html" rel="bookmark" class="title">viewpager中的fragment之间跳转传值问题？</a>
					<div>
						问题描述 viewpager中的fragment之间跳转传值问题? 有一个是Activity,在里面有viewpager的实现,ViewPager显示的是10个子fragment,ViewPager中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA6gXM.html" rel="bookmark" class="title">CodeCounter</a>
					<div>
						import java.io.BufferedReader; import java.io.File; import java.io.FileNotFoundException; import jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydynJb.html" rel="bookmark" class="title">VS2008下编写调试dll的一个实例&lpar;参考msdn&rpar; &period;</a>
					<div>
						演练:创建和使用动态链接库   在本演练中,您将创建一个动态链接库 (DLL),其中包含可供其他应用程序使用的有用例程.使用 DLL 是一种重用代码的绝佳方式.您不必在自己创建的每个程序中重新实现这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZKBRp.html" rel="bookmark" class="title">PHP载入图像imagecreatefrom&lowbar;gif&lowbar;jpeg&lowbar;png系列函数用法分析&lowbar;php技巧</a>
					<div>
						本文实例分析了PHP载入图像imagecreatefrom_gif_jpeg_png系列函数用法.分享给大家供大家参考,具体如下: imagecreatefrom 系列函数用于从文件或 URL 载入一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXPjmz.html" rel="bookmark" class="title">小脑袋百度关键词调价软件教你怎么网站推广获得定向流量</a>
					<div>
						现在互联网现已渗透到咱们日子的各个领域,据官方核算,当时中国的网民数量现已打破四个亿,一个全新的http://www.aliyun.com/zixun/aggregation/32389.html&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAaJvp.html" rel="bookmark" class="title">ios7自带的二维码扫描api不能支持gbk格式的二维码吗</a>
					<div>
						问题描述 ios7自带的二维码扫描api不能支持gbk格式的二维码吗					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgjLRM.html" rel="bookmark" class="title">谷歌发布一系列涉及Android的软件平台</a>
					<div>
						谷歌在I/O开发者大会发布了一系列涉及Android的软件平台,包括Android Auto.Android Wear.Android One和Android L,覆盖车载平台.可穿戴.智能手机等战略 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqlR4b.html" rel="bookmark" class="title">javascript-validateSave&lpar;&rpar;校验问题，求大神指导</a>
					<div>
						问题描述 validateSave()校验问题,求大神指导 代码如下:正常我没填写收货单位,他应该弹出&quot;收货单位不能为空&quot;,但是我点保存后,他就在那刷新页面.什么都不显示了.一直刷 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmjGqp.html" rel="bookmark" class="title">thinkphp模板继承实例简述&lowbar;php实例</a>
					<div>
						本文实例讲述了thinkphp模板继承的实现方法.分享给大家供大家参考.具体实现方法如下: 模板的继承: 复制代码 代码如下: &lt;block name='top'&gt;&lt;/block&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6r1QM.html" rel="bookmark" class="title">team foundation server 2012 注册问题</a>
					<div>
						问题描述 之前安装的时候是没注意使用了试用版,今天打开就说&quot;TF246019:TeamFoundationServer试用期已结束,或者许可证无效.必须更新您的许可证才能继续使用TeamFo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/ba6jVXM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny83MzIzNjEvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/ba6jVXM.html" rel="bookmark" class="title">习近平：占领转基因技术制高点</a>
					<div>
						在这篇讲话中,习近平回忆自己曾经饿肚子的经历,并谈了他对转基因问题的看法. 他说,&quot;我强调两点:一是确保安全,二是要自主创新.也就是说,在研究上要大胆,在推广上要慎重.转基因农作物产业化.商 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyK7RJz.html" rel="bookmark" class="title">发图片断开了，隔了一段时间，怎么重连</a>
					<div>
						问题描述 本帖最后由 独孤求败 于 2015-2-27 14:39 编辑 想请问下,环信发送图片那里是断点发送的?如果断开了,隔了一段时间,怎么重连? 解决方案 图片发送不会断点续传,发送不成功会出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA63k3p.html" rel="bookmark" class="title">从内容&sol;用户画像到如何做算法研发</a>
					<div>
						中午和一前同事一起用餐,发现还是有很多碰撞点的.交流了很多正在做的事情,对方也提供了非常多的思想值得自己很好的思考.先是和他聊了下我们现在做内容标签的进展,其实就是在做内容画像.我们一般都是在谈用户画 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlA6W8p.html" rel="bookmark" class="title">HPE改进3PAR OS增强数据保护</a>
					<div>
						HPE表示,最新推出的3PAR OS v 3.3.1拥有更好的数据精简功能.更快速的iSCI网络.升级的数据保护以及额外的自动化功能为管理员提供帮助.   Adaptive Data Reductio ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
